Package com.omnisci.thrift.server

## Class TGeoFileLayerInfo

- java.lang.Object
- - com.omnisci.thrift.server.TGeoFileLayerInfo

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TGeoFileLayerInfo>`, `org.apache.thrift.TBase<TGeoFileLayerInfo,​TGeoFileLayerInfo._Fields>`, `org.apache.thrift.TSerializable`

    public class TGeoFileLayerInfo
    extends Object
    implements org.apache.thrift.TBase<TGeoFileLayerInfo,​TGeoFileLayerInfo._Fields>, Serializable, Cloneable, Comparable<TGeoFileLayerInfo>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TGeoFileLayerInfo._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`TGeoFileLayerContents` `contents`
`static Map<TGeoFileLayerInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `name`

### Constructor Summary

Constructors
`TGeoFileLayerInfo()`
`TGeoFileLayerInfo​(TGeoFileLayerInfo other)` Performs a deep copy on other.
`TGeoFileLayerInfo​(String name, TGeoFileLayerContents contents)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TGeoFileLayerInfo other)`
`TGeoFileLayerInfo` `deepCopy()`
`boolean` `equals​(TGeoFileLayerInfo that)`
`boolean` `equals​(Object that)`
`TGeoFileLayerInfo._Fields` `fieldForId​(int fieldId)`
`TGeoFileLayerContents` `getContents()`
`Object` `getFieldValue​(TGeoFileLayerInfo._Fields field)`
`String` `getName()`
`int` `hashCode()`
`boolean` `isSet​(TGeoFileLayerInfo._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetContents()` Returns true if field contents is set (has been assigned a value) and false otherwise
`boolean` `isSetName()` Returns true if field name is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TGeoFileLayerInfo` `setContents​(TGeoFileLayerContents contents)`
`void` `setContentsIsSet​(boolean value)`
`void` `setFieldValue​(TGeoFileLayerInfo._Fields field, Object value)`
`TGeoFileLayerInfo` `setName​(String name)`
`void` `setNameIsSet​(boolean value)`
`String` `toString()`
`void` `unsetContents()`
`void` `unsetName()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public String name

#### contents

    public TGeoFileLayerContents contents

See Also:
  `TGeoFileLayerContents`

#### metaDataMap

    public static final Map<TGeoFileLayerInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TGeoFileLayerInfo

    public TGeoFileLayerInfo()

#### TGeoFileLayerInfo

    public TGeoFileLayerInfo​(String name,
                             TGeoFileLayerContents contents)

#### TGeoFileLayerInfo

    public TGeoFileLayerInfo​(TGeoFileLayerInfo other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TGeoFileLayerInfo deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TGeoFileLayerInfo,​TGeoFileLayerInfo._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TGeoFileLayerInfo,​TGeoFileLayerInfo._Fields>`

#### getName

    public String getName()

#### setName

    public TGeoFileLayerInfo setName​(String name)

#### unsetName

    public void unsetName()

#### isSetName

    public boolean isSetName()

Returns true if field name is set (has been assigned a value) and false otherwise

#### setNameIsSet

    public void setNameIsSet​(boolean value)

#### getContents

    public TGeoFileLayerContents getContents()

See Also:
  `TGeoFileLayerContents`

#### setContents

    public TGeoFileLayerInfo setContents​(TGeoFileLayerContents contents)

See Also:
  `TGeoFileLayerContents`

#### unsetContents

    public void unsetContents()

#### isSetContents

    public boolean isSetContents()

Returns true if field contents is set (has been assigned a value) and false otherwise

#### setContentsIsSet

    public void setContentsIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TGeoFileLayerInfo._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TGeoFileLayerInfo,​TGeoFileLayerInfo._Fields>`

#### getFieldValue

    public Object getFieldValue​(TGeoFileLayerInfo._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TGeoFileLayerInfo,​TGeoFileLayerInfo._Fields>`

#### isSet

    public boolean isSet​(TGeoFileLayerInfo._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TGeoFileLayerInfo,​TGeoFileLayerInfo._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TGeoFileLayerInfo that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TGeoFileLayerInfo other)

Specified by:
  `compareTo` in interface `Comparable<TGeoFileLayerInfo>`

#### fieldForId

    public TGeoFileLayerInfo._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TGeoFileLayerInfo,​TGeoFileLayerInfo._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`